// Code generated by mockery v2.9.4. DO NOT EDIT.

package mocks

import (
	domain "appdev.ananrafs1/go-sbit/challenge-2/Domain"
	mock "github.com/stretchr/testify/mock"
)

// MovieUsecase is an autogenerated mock type for the MovieUsecase type
type MovieUsecase struct {
	mock.Mock
}

// GetDetail provides a mock function with given fields: id
func (_m *MovieUsecase) GetDetail(id string) (domain.MovieDetail, error) {
	ret := _m.Called(id)

	var r0 domain.MovieDetail
	if rf, ok := ret.Get(0).(func(string) domain.MovieDetail); ok {
		r0 = rf(id)
	} else {
		r0 = ret.Get(0).(domain.MovieDetail)
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string) error); ok {
		r1 = rf(id)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Search provides a mock function with given fields: s, p
func (_m *MovieUsecase) Search(s string, p int) (domain.SearchMovie, error) {
	ret := _m.Called(s, p)

	var r0 domain.SearchMovie
	if rf, ok := ret.Get(0).(func(string, int) domain.SearchMovie); ok {
		r0 = rf(s, p)
	} else {
		r0 = ret.Get(0).(domain.SearchMovie)
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string, int) error); ok {
		r1 = rf(s, p)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}
